From 8f96278e5f603d4c465d4d197bc03f1d6143fdbe Mon Sep 17 00:00:00 2001
From: Chao Long <longchao@uniontech.com>
Date: Mon, 21 Sep 2020 13:02:03 +0800
Subject: [PATCH] ole32: Fix STGMEDIUM* is NULL Invalid reference.

Signed-off-by: Chao Long <longchao@uniontech.com>
---
 dlls/ole32/ole2.c | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/dlls/ole32/ole2.c b/dlls/ole32/ole2.c
index 15c4f8234f..4464ba0714 100644
--- a/dlls/ole32/ole2.c
+++ b/dlls/ole32/ole2.c
@@ -2023,6 +2023,8 @@ found:
 void WINAPI ReleaseStgMedium(
   STGMEDIUM* pmedium)
 {
+  if (!pmedium) return;
+
   switch (pmedium->tymed)
   {
     case TYMED_HGLOBAL:
-- 
2.20.1

